<?php
include 'conexion.php'; // Asegúrate de incluir la conexión a la base de datos

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $nombre = trim($_POST['nom_medicamento']);
    $administracion = trim($_POST['forma_administracion']);
    $milimetraje = trim($_POST['milimetraje']);
    $unidad = trim($_POST['unidades']);
    $unidades = $milimetraje . $unidad;
    $categoria = trim($_POST['categoria']);
    $descripcion = trim($_POST['descripcion']);
    $presentacion = trim($_POST['presentacion']);
    $cantidad = trim($_POST['cantidad']);
    $fecha_vencimiento = trim($_POST['fecha_vencimiento']);
    $estado = 'Disponible';


    
    // Verificar si el medicamento ya existe
    $sql_check = "SELECT stock FROM medicamentos WHERE nombre = ?";
    $stmt_check = $conn->prepare($sql_check);
    $stmt_check->bind_param("s", $nombre);
    $stmt_check->execute();
    $result_check = $stmt_check->get_result();
    // Guardar la imagen en la carpeta "medicamentos/"
    $directorio = "medicamentos/";
    $nombreImagen = str_replace(" ", "_", strtolower($nombre)) . ".jpg";
    $rutaImagen = $directorio . $nombreImagen;

    echo "Nombre del medicamento: " . $nombre . "<br>";
    echo "Forma de administración: " . $administracion . "<br>";
    echo "Unidades: " . $unidades . "<br>";
    echo "Categoría: " . $categoria . "<br>";
    echo "Descripción: " . $descripcion . "<br>";
    echo "Presentación: " . $presentacion . "<br>";
    echo "Cantidad: " . $cantidad . "<br>";
    echo "Fecha de vencimiento: " . $fecha_vencimiento . "<br>";
    echo "Estado: " . $estado . "<br>";
    echo "Ruta Imagen: " . $rutaImagen . "<br>";
    
    if ($result_check->num_rows > 0) {
        echo "<script>alert('El medicamento ya está registrado en la base de datos, solo se agregara la cantidad al stock de disponibilidad.'); </script>";
        $row = $result_check->fetch_assoc(); // Obtener la fila del resultado
        $stock_actual = $row['stock']; // Acceder al valor de 'stock'
        echo "Stock_actual: " . $stock_actual . "<br>";

        $stock =$cantidad + $stock_actual;
        
        // Actualizar el stock en la base de datos
        $sql_update = "UPDATE medicamentos SET stock =? WHERE nombre =?";
        $stmt_update = $conn->prepare($sql_update);
        $stmt_update->bind_param("is", $stock, $nombre); // "is" para entero y string
            
        if ($stmt_update->execute()) {
            echo "<script>alert('Stock del medicamento actualizado correctamente'); window.location.href='medicamentos.php';</script>";
        } else {
            echo "<script>alert('Error al actualizar el stock del medicamento.'); window.history.back();</script>";
        }
        
    
        $stmt_check->close();
        $stmt_update->close();
        $conn->close();
        
        //exit();

    } else {
        $stock = $cantidad;
        if (move_uploaded_file($_FILES["imagen"]["tmp_name"], $rutaImagen)) {
            // Insertar en la base de datos
            $sql_insert = "INSERT INTO medicamentos (nombre, unidades, descripcion, administracion, presentacion, cantidad, fecha_vencimiento, categoria,estado, stock, imagen)
                           VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?)";
            $stmt_insert = $conn->prepare($sql_insert);
            $stmt_insert->bind_param("sssssisssss", $nombre, $unidades, $descripcion, $administracion, $presentacion, $cantidad, $fecha_vencimiento, $categoria, $estado, $stock, $rutaImagen);
    
            if ($stmt_insert->execute()) {
                echo "<script>alert('Medicamento guardado correctamente.'); window.location.href='medicamentos.php';</script>";
            } else {
                echo "<script>alert('Error al guardar el medicamento.'); window.history.back();</script>";
            }
        } else {
            echo "<script>alert('Error al subir la imagen.'); window.history.back();</script>";
        }
    
        $stmt_check->close();
        $stmt_insert->close();
        $conn->close();
    }

   
}
?>